using Managing.Common;
using Managing.Domain.Workers;

namespace Managing.Application.Abstractions.Repositories;

public interface IWorkerRepository
{
    Task DisableWorker(Enums.WorkerType workerType);
    Task EnableWorker(Enums.WorkerType workerType);
    Task<Worker> GetWorkerAsync(Enums.WorkerType workerType);
    Task<IEnumerable<Worker>> GetWorkers();
    Task InsertWorker(Worker worker);
    Task UpdateWorker(Enums.WorkerType workerType, int executionCount);
}
